{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidintervenant }}</div>
{% endblock %}

{% block formulaire %}

<div class="LesChamps card">
    <div class="d-flex justify-content-around flex-wrap">
        {# Génération du label. #}
        {% if poForm.cadresse1 is defined %}
            <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
                {{ form_label(poForm.cadresse1, "Adresse 1 ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-8 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.cadresse1, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {# Génération du label. #}
        {% if poForm.cadresse2 is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
            {{ form_label(poForm.cadresse2, "Adresse 2 ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-8 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cadresse2, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
        {% endif %}
    
    </div>
        
    <div class="d-flex justify-content-around flex-wrap">

    {# Génération du label. #}
    {% if poForm.ccp is defined %}
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
        {{ form_label(poForm.ccp, "CP ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
        <div class="col-sm-8 d-flex justify-content-center align-items-center">
        {{ form_widget(poForm.ccp, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
        </div>
    </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.cville is defined %}
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
        {{ form_label(poForm.cville, "Ville ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
        <div class="col-sm-8 d-flex justify-content-center align-items-center">
        {{ form_widget(poForm.cville, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
        </div>
    </div>
    {% endif %}
    
    </div>
    
    <div class="d-flex justify-content-around flex-wrap">
    
    {# Génération du label. #}
    {% if poForm.ctel is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
            {{ form_label(poForm.ctel, "Téléphone ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
            <div class="col-sm-8 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.ctel, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %} 
    
    {# Génération du label. #}
    {% if poForm.cport is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
            {{ form_label(poForm.cport, "Portable ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
            <div class="col-sm-8 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cport, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    </div>
    
    <div class="d-flex justify-content-around flex-wrap">
    
    {# Génération du label. #}
    {% if poForm.cmel is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
            {{ form_label(poForm.cmel, "Mel ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
            <div class="col-sm-8 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cmel, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.cnoss is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
            {{ form_label(poForm.cnoss, "N°SS ", {'label_attr': {'class': 'control-label m-0 mr-3' }}) }}
            <div class="col-sm-8 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.cnoss, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    </div>

</div>
    
<div class="LesChamps card">
    <div class="d-flex justify-content-start flex-wrap">
    
    {# Génération du label. #}
    {% if poForm.dnaissance is defined %}
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
        {{ form_label(poForm.dnaissance, "Date de naissance ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
        <div class="col-sm-8 d-flex justify-content-center align-items-center">
        {{ form_widget(poForm.dnaissance, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}            
        </div>
    </div>
    {% endif %}
    
    </div>
    
    <div class="d-flex justify-content-around flex-wrap">
    
    {# Génération du label. #}
    {% if poForm.ddate1 is defined %}
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
        {{ form_label(poForm.ddate1, "Date Libre 1 ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
        <div class="col-sm-8 d-flex justify-content-center align-items-center">
        {{ form_widget(poForm.ddate1, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
        </div>
    </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.ddate2 is defined %}
    <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end" >
            {{ form_label(poForm.ddate2, "Date libre 2 ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
        <div class="col-sm-8 d-flex justify-content-center align-items-center">
        {{ form_widget(poForm.ddate2, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
        </div>
    </div>
    {% endif %}
    
    </div>
</div>
    <div class="">
        
    {# Génération du label. #}
    {% if poForm.mcommentaire is defined %}
        <div class="form-group col-sm-12 col-md-12 p-3 m-0" >
            {{ form_label(poForm.mcommentaire, "Commentaire ", {'label_attr': {'class': 'control-label mb-3' }}) }}
            <div class="d-flex justify-content-end align-items-center">
            {{ form_widget(poForm.mcommentaire, {'attr': {'class': 'col-sm-12 p-2 shadow-form-control border-0 '}}) }}
            </div>
        </div>
    {% endif %}
    
    </div>
        
{% endblock %}
